{% extends 'base.html.twig' %}

{% block title %}Seguimiento{% endblock %}
{% block watermark %}
    <div class="watermarked" data-watermark="{{app.user.username}}"></div>
{% endblock %}
{% block body %}
    <h1 class="text-black">Seguimiento</h1>
    <div class="row">
      <div class="col-sm-4">
        <div class="card text-black" style="width: 18rem;">
          <div class="card-header">
            Datos de la persona
          </div>
          <ul class="list-group list-group-flush">
            <li class="list-group-item"><b>Nombre: </b>{{ seguimiento.nombre }}</li>
            <li class="list-group-item"><b>Apellido: </b>{{ seguimiento.apellido }}</li>
            <li class="list-group-item"><b>Fecha Nacimiento: </b>{{ seguimiento.fechaNacimiento ? seguimiento.fechaNacimiento|date('Y-m-d') : '' }}</li>
            <li class="list-group-item"><b>Provincia: </b>{{ seguimiento.provincia }}</li>
            <li class="list-group-item"><b>Localidad: </b>{{ seguimiento.localidad }}</li>
            <li class="list-group-item"><b>Domicilio: </b>{{ seguimiento.domicilio }}</li>
            <li class="list-group-item"><b>DNI: </b>{{ seguimiento.dni }}</li>
            <li class="list-group-item"><b>Telefono: </b>{{ seguimiento.telefono }}</li>
            <li class="list-group-item"><b>Fecha Arribo: </b>{{ seguimiento.fechaArribo ? seguimiento.fechaArribo|date('Y-m-d') : '' }}</li>
            <li class="list-group-item"><b>Procedencia: </b>{{ seguimiento.procedencia }}</li>
            <li class="list-group-item"><b>Finalizó seguimiento: </b>{{ seguimiento.finalizoSeguimiento ? 'Si' : 'No' }}</li>
          </ul>
        </div>
        <a class="btn btn-primary" href="{{ path('seguimiento_edit', {'id': seguimiento.id}) }}">
          <span>
            <i class="fas fa fa-edit"></i>
          </span>Editar Seguimiento
        </a>
      </div>
      <div class="col-sm-8">
        <div class="row">
          <table class="table table-striped">
            <thead>
              <tr>
                <th scope="col">Fecha</th>
                <th scope="col">Síntomas</th>
                <th scope="col">Observación</th>
                <th scope="col">Usuario</th>
              </tr>
            </thead>
            <tbody>
              {% for item in seguimiento.seguimientoObservaciones %}
                <tr>
                  <th scope="row">{{ item.fecha ? item.fecha|date('Y-m-d') : '' }}</th>
                  <td>{% if item.sintomas is defined %}
                    {% for value in item.sintomas %}
                      <b>{{value.sintoma}} /</b>
                    {% endfor %}
                  {% endif %}</td>
                  <td>{{item.observacion}}</td>
                  <td>{{item.usuario}}</td>
                </tr>
              {% endfor %}
            </tbody>
          </table>
        </div>
        <div class="row">
          <a class="btn btn-primary pull-right" href="{{ path('seguimiento_observaciones_new', {'seg': seguimiento.id}) }}">
            <span>
              <i class="fas fa fa-plus"></i>
            </span>Cargar Observación
          </a>
        </div>
    </div>

{% endblock %}

{% block javascripts %}
 {{parent()}}
 <script>
     Array.from(document.querySelectorAll('.watermarked')).forEach(function(el) {
        el.dataset.watermark = (el.dataset.watermark + ' ').repeat(1000);
      });
 </script>
{% endblock %}
